import setuptools

with open("README.rst", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="papergraph",
    version="0.0.2",
    author="Guillermo Reyes Carmenaty",
    author_email="grcarmenaty@gmail.com",
    description="Matplotlib-based paper-ready graph generator",
    long_description=long_description,
    url="https://github.com/grcarmenaty/papergraph",
    download_url="https://github.com/grcarmenaty/papergraph/archive/v0.0.2-alpha.tar.gz",  # noqa: E501
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License ",
        "Operating System :: OS Independent",
    ],
    # Should be as lax as possible
    install_requires=[
        "numpy>=1.18.1",
        "scipy>=1.4.1",
        "matplotlib>=3.1.3",
    ],
    # Should be as specific as possible
    extras_require={
        "dev": [
            "pytest>=3.7",
            "docutils>=0.16",
            "doc8>=0.8.0",
            "flake8>=3.7.9",
        ],
    },
    python_requires='>=3.6',
)
